package de.advolux.de;

import javax.jdo.annotations.Index;
import javax.persistence.Embeddable;

@Embeddable
@Index(members={"member1","member2"})
public class TestEmbeddedClass {
    long member1 = 0L;
    long member2 = 0L;

    public TestEmbeddedClass() {
        // nothing
    }

    public TestEmbeddedClass(long _member1, long _member2) {
        member1 = _member1;
        member2 = _member2;
    }

    public void SetMember(long _member1, long _member2) {
        member1 = _member1;
        member2 = _member2;
    }

    public void SetMember(TestEmbeddedClass embeddedClass) {
        member1 = embeddedClass.member1;
        member2 = embeddedClass.member2;
    }
}
